View Issue Details

IDProjectCategoryView StatusLast Update
0003462SymmetricDSImprovementpublic2018-03-12 08:26
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.9.5Fixed in Version3.9.5 
Summary0003462: Adjust default parameter value for dataloader.apply.changes.only
DescriptionThe prior default for this parameter was false. As a result updates that contained the same old and new data values would not actually fire an update on the target. However with configurations that use sync on incoming this might cause issues. For example if a load was sent from client 1 to server and the data already existed at the server this update would be captured and sent to clients 2, 3, etc. However once it arrived at these other clients the data would not actually run an update since old and new matched. The batch is marked ok with the updates in it as if they had ran. The problem arises if these clients did not have the data at all or had old data. Since the update was never ran to make the data truly up to date or also fall back to insert in case it was missing the client is now out of sync.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 3bc64887

2018-02-28 10:38:58

josh-a-hicks

Details Diff
0003462: Adjust default parameter value for
dataloader.apply.changes.only

0003462
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

Issue History

Date Modified Username Field Change
2018-02-28 10:38 josh-a-hicks New Issue
2018-02-28 10:38 josh-a-hicks Status new => assigned
2018-02-28 10:38 josh-a-hicks Assigned To => josh-a-hicks
2018-02-28 10:39 josh-a-hicks Project SymmetricDS Pro => SymmetricDS
2018-03-02 13:00 josh-a-hicks Changeset attached => SymmetricDS 3.9 3bc64887
2018-03-07 10:18 josh-a-hicks Status assigned => resolved
2018-03-07 10:18 josh-a-hicks Resolution open => fixed
2018-03-07 10:18 josh-a-hicks Fixed in Version => 3.9.5
2018-03-12 08:26 chenson Status resolved => closed